package api.common.util;


import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;

import java.util.UUID;

@Slf4j
public class PythonUtil {

    /**
     * @param pythonCode python 代码
     */
    @SneakyThrows
    public static String pylint(String pythonCode) {
        //1 把代码保存成本地文件
        String filePath = "/tmp/" + UUID.randomUUID().toString().replace("-", "") + ".py";
        FileUtil.writeStringToLocalFile(pythonCode, filePath);
        //2 执行命令检查格式
        LinuxUtil.execute("apt install python-pip");
        LinuxUtil.execute("pip3 install pylint");
        return LinuxUtil.execute("pylint " + filePath);
    }
}
